org.apache.ignite.internal.processors.query.schema

## Class SchemaOperationClientFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Object>
  - - org.apache.ignite.internal.processors.query.schema.SchemaOperationClientFuture

All Implemented Interfaces:
  IgniteInternalFuture<Object>

    public class SchemaOperationClientFuture
    extends GridFutureAdapter<Object>

Schema operation client future.

### Constructor Summary

Constructors
Constructor and Description
`SchemaOperationClientFuture(UUID opId)` Constructor.

### Method Summary

Methods
`UUID` `operationId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaOperationClientFuture

    public SchemaOperationClientFuture(UUID opId)

Constructor.

Parameters:
  `opId` - Operation ID.

### Method Detail

#### operationId

    public UUID operationId()

Returns:
  Operation ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Object>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017